### Method

# Gtk TreeStoreremove

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_store_remove (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter
    )

#### Description [src]

Removes `iter` from `tree_store`.

After being removed, `iter` is set to the next valid row at that level, or invalidated if it previously pointed to the last one.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if `iter` is still valid, and false otherwise.